#{extends 'border.html'/}

<div class="container">
	
	<div class="row">
		<div class="dashboard-wrapper">
			<!-- Info Produk, Paket & Penawaran -->
			<div class="row">
				<div class="card-list">
					<!-- Info Produk -->
					<div class="col-md-4">
						<div class="card-item">
							<a href="#">
								<div class="card-item-detail">
									<div class="row">
										<div class="col-md-2">
											<i class="fa fa-dropbox"></i>
										</div>
										<div class="col-md-10">
											<div class="card-item-title">
												<h3>100</h3>
											</div>
											<div class="card-item-description">
												<p>Produk tayang</p>
											</div>
										</div>
									</div>
								</div>
							</a>
						</div>
					</div>
					<div class="col-md-4">
						<div class="card-item">
							<a href="#">
								<div class="card-item-detail">
									<div class="row">
										<div class="col-md-2">
											<i class="fa fa-dropbox"></i>
										</div>
										<div class="col-md-10">
											<div class="card-item-title">
												<h3>100</h3>
											</div>
											<div class="card-item-description">
												<p>Produk dalam tahap negosiasi</p>
											</div>
										</div>
									</div>
								</div>
							</a>
						</div>
					</div>
					<div class="col-md-4">
						<div class="card-item">
							<a href="#">
								<div class="card-item-detail">
									<div class="row">
										<div class="col-md-2">
											<i class="fa fa-dropbox"></i>
										</div>
										<div class="col-md-10">
											<div class="card-item-title">
												<h3>100</h3>
											</div>
											<div class="card-item-description">
												<p>Produk tidak tayang</p>
											</div>
										</div>
									</div>
								</div>
							</a>
						</div>
					</div>
					<div class="col-md-4">
						<div class="card-item">
							<a href="#" class="">
								<div class="card-item-detail">
									<div class="card-item-title">
										<h3>100</h3>
									</div>
									<div class="card-item-description">
										<p>Produk dengan stok kurang dari <strong>50</strong></p>
									</div>
								</div>
							</a>
						</div>
					</div>
					<!-- Info Paket -->
					<div class="col-md-4">
						<div class="card-item">
							<a href="#" class="">
								<div class="card-item-detail">
									<div class="card-item-title">
										<h3>100</h3>
									</div>
									<div class="card-item-description">
										<p>Paket saya</p>
									</div>
								</div>
							</a>
						</div>
					</div>
					<!-- Info Penawaran -->
					<div class="col-md-4">
						<div class="card-item">
							<a href="#" class="">
								<div class="card-item-detail">
									<div class="card-item-title">
										<h3>100</h3>
									</div>
									<div class="card-item-description">
										<p>Penawaran saya</p>
									</div>
								</div>
							</a>
						</div>
					</div>
				</div>
			</div>
			
			<!-- Chart -->
			<div class="row">
				<!-- Info Penjualan -->
				<div class="col-md-6">
					<div class="penjualan-produk-wrapper">
						<div class="row">
							<div class="col-md-12">
								<div class="penjualan-produk-header">
									<h4>Penjualan Produk per Bulan</h4>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<canvas id="info-penjualan"></canvas>
							</div>
						</div>
					</div>
				</div>
				
				<!-- Omset -->
				<div class="col-md-6">
					<div class="omset-wrapper">
						<div class="row">
							<div class="col-md-12">
								<div class="omset-header">
									<h4>Omset per Bulan</h4>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<canvas id="omset"></canvas>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			<!-- Produk Populer -->
			<div class="row">
			    <div class="col-md-12">
			        <div class="produk-populer-wrapper">
			            <div class="row">
			                <div class="col-md-12">
			                    <h4>Produk Paling Laku</h4>
			                </div>
			            </div>
			            <div class="row">
			                <div class="card-list">
			                #{list popularProducts, as:'item'}
			                    <div class="col-sm-4 col-md-3 col-lg-3">
			                        <div class="card-item">
			                            <a href="${item.getDetailUrl()}">
			                            	<div class="card-item-image">
				                                <img src="${item.getImageUrl()}" class="img img-responsive" onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
				                            </div>
				                            <div class="card-item-detail">
				                                <div class="card-item-title">
				                                    <h5>${item.getTrimmedTitle()}</h5>
				                                </div>
				                                <div class="card-item-description">
				                                	<p>${item.getProviderName()}</p>
				                                	<p>${item.getPrice()}</p>
				                                </div>
				                            </div>
			                            </a>
			                        </div>
			                    </div>
			                #{/list}
			                </div>
			            </div>
			        </div>
			    </div>
			</div>
			
			<!-- Penawaran yang Sesuai -->
			<div class="row">
			    <div class="col-md-12">
			        <div class="suggest-penawaran-wrapper">
			            <div class="row">
							<div class="col-md-12">
								<div class="penawaran-header">
									<h4>&{'pengajuan_penawaran.label'}</h4>
									#{if usulanList.size() > 0}
										<div class="pull-right">
											<button class="btn btn-md btn-danger">
												&{'lihat_selengkapnya.label'}
												<i class="fa fa-angle-down"></i>
											</button>
										</div>
									#{/if}
								</div>
							</div>
						</div>
						<div class="row">
							<div class="card-list">
								#{if usulanList.size() > 0}
									#{list items:usulanList, as:'usulan'}
										#{if usulan?.status == 'penawaran_dibuka'}
										<div class="col-sm-4 col-md-3 col-lg-3">
											<div class="card-item">
												<a href="@{admin.UsulanCtr.detail(usulan?.id)}">
													<div class="card-item-image">
														<i class="fa fa-stethoscope" aria-hidden="true"></i>
													</div>
													<div class="card-item-detail">
														<div class="card-item-title">
															<h5>${usulan.komoditas}</h5>
														</div>
														<div class="card-item-description">
															<section>
																<p>&{'tanggal_akhir.label'}: ${usulan.getEndDateTendering(usulan.id)}</p>
															</section>
														</div>
														<div class="card-item-footer">
															${usulan.jumlahPenawaranByUsulanId(usulan.id)} &{'penawaran.label'}
														</div>
													</div>
												</a>
											</div>
										</div>
										#{/if}
									#{/list}
								#{/if}
								#{else}
		                            <div class="item-empty" style="text-align: center">
		                                <h3>&{'katalog.usulan.kosong'}</h3>
		                            </div>
								#{/else}
							</div>
						</div>
			        </div>
			    </div>
			</div>
			
		</div>
	</div>
	
</div>